@implementation IoT{{swagger_data.name|class_name_syntax}}ResourceClient : IoTBaseResourceClient

- (BOOL)isGetSupported
{
{% if 'get' in swagger_data.crud %}
    return YES;
{% else %}
    return NO;
{% endif %}
}

- (BOOL)isPostSupported
{
{% if 'post' in swagger_data.crud %}
    return YES;
{% else %}
    return NO;
{% endif %}
}

- (BOOL)isObserveSupported
{
{% if swagger_data.prop != 0 %}
    return YES;
{% else %}
    return NO;
{% endif %}
}

- (void)configureDispatcher:(id<IoTTransportDispatcher>)dispatcher
{
    [dispatcher configureForHost:self.host
                             uri:@"{{swagger_data.uri}}"
                    resourceType:@{{swagger_data.type}}
                      interfaces:@[{% for iface in swagger_data.ifaces.split(',') %} @{{iface}}, {% endfor %}]
                      observable:[self isObserveSupported]];
}

@end


